Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ProfileManager.BuiltInProfile

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile
  - - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.BuiltInProfile

All Implemented Interfaces:
  `java.lang.Comparable<ProfileManager.Profile>`

Enclosing class:
  ProfileManager

    public static final class ProfileManager.BuiltInProfile
    extends ProfileManager.Profile

Represents a built-in profile. The state of a built-in profile cannot be changed after instantiation.

### Constructor Summary

Constructors
`BuiltInProfile​(java.lang.String ID, java.lang.String name, java.util.Map<java.lang.String,​java.lang.String> settings, int order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ProfileManager.Profile o)`
`java.lang.String` `getID()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,​java.lang.String>` `getSettings()`
`boolean` `isBuiltInProfile()`
`boolean` `isProfileToSave()`
`ProfileManager.Profile` `rename​(java.lang.String name, ProfileManager manager)`
`void` `setSettings​(java.util.Map<java.lang.String,​java.lang.String> settings)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile

`hasEqualSettings, isSharedProfile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuiltInProfile

    public BuiltInProfile​(java.lang.String ID,
                          java.lang.String name,
                          java.util.Map<java.lang.String,​java.lang.String> settings,
                          int order)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `ProfileManager.Profile`

#### rename

    public ProfileManager.Profile rename​(java.lang.String name,
                                         ProfileManager manager)

Specified by:
  `rename` in class `ProfileManager.Profile`

#### getSettings

    public java.util.Map<java.lang.String,​java.lang.String> getSettings()

Specified by:
  `getSettings` in class `ProfileManager.Profile`

#### getID

    public java.lang.String getID()

Specified by:
  `getID` in class `ProfileManager.Profile`

#### isProfileToSave

    public boolean isProfileToSave()

Specified by:
  `isProfileToSave` in class `ProfileManager.Profile`

#### isBuiltInProfile

    public boolean isBuiltInProfile()

Overrides:
  `isBuiltInProfile` in class `ProfileManager.Profile`

#### compareTo

    public int compareTo​(ProfileManager.Profile o)

#### setSettings

    public void setSettings​(java.util.Map<java.lang.String,​java.lang.String> settings)

Specified by:
  `setSettings` in class `ProfileManager.Profile`